# Generated by Django 3.2.4 on 2021-06-20 17:38

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Marca',
            fields=[
                ('id_marca', models.CharField(max_length=4, primary_key=True, serialize=False)),
                ('nom_marca', models.CharField(max_length=20)),
            ],
        ),
        migrations.CreateModel(
            name='TipoProd',
            fields=[
                ('id_tipo_prod', models.CharField(max_length=4, primary_key=True, serialize=False)),
                ('desc_tipo_prod', models.CharField(max_length=50)),
            ],
        ),
        migrations.CreateModel(
            name='Producto',
            fields=[
                ('id_prod', models.CharField(max_length=4, primary_key=True, serialize=False)),
                ('valor_prod', models.IntegerField(default=0)),
                ('stock_prod', models.IntegerField(default=0)),
                ('desc_prod', models.CharField(max_length=50)),
                ('marca_prod', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='app_lmgas.marca')),
                ('tipo_prod', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='app_lmgas.tipoprod')),
            ],
        ),
    ]
